aboutsummaryrefslogtreecommitdiff
path: root/script/dev-configure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'script/dev-configure.sh')
-rwxr-xr-xscript/dev-configure.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/script/dev-configure.sh b/script/dev-configure.sh
index bc8352d8..fdae959b 100755
--- a/script/dev-configure.sh
+++ b/script/dev-configure.sh
@@ -6,10 +6,17 @@ SCRIPT_FOLDER="`dirname \"$0\"`"
REPO_FOLDER="${SCRIPT_FOLDER}/../"
GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
-PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:$PATH"
+NIX_RELEASE="${REPO_FOLDER}/result/bin/"
+PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:${NIX_RELEASE}:$PATH"
sleep 5
+RETRY=120
until garage status 2>&1|grep -q Healthy ; do
+ (( RETRY-- ))
+ if (( RETRY <= 0 )); then
+ echo "garage did not start in time, failing."
+ exit 1
+ fi
echo "cluster starting..."
sleep 1
done